//+------------------------------------------------------------------+
//|                                               TrendLineRange.mq4 |
//|                                                 |
//|                                        sokratilin@brocompany.com |
//+------------------------------------------------------------------+
#property copyright " "
#property link      "sokratilin@brocompany.com"

#property indicator_chart_window
//---- input parameters
extern int       PointsRange1=20;            //1-      
extern int       PointsRange2=10;            //2-    
extern int       PointsRange3=5;             //3-    
extern string    IndexTrendLine;             //     
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   static int S1,S2,S3;                               // 
   string TrendLine="Trendline "+IndexTrendLine;      //     "Trendline"
   double Price=Bid;                                  // 
   double TrendLineValue=NormalizeDouble(ObjectGetValueByShift(TrendLine,0),Digits);       //   
   
   int Range=MathAbs((NormalizeDouble(Price,Digits)-TrendLineValue)*MathPow(10,Digits));
                                                       //       
   
   Comment("Range=",Range);
      
   if (Range<=PointsRange1 && Range>PointsRange2 && S1==0)     //   <= 1  > 2
      {                                                        //     ,    .
         Alert("Range=",Range," Price=",Price," TrendLine=",TrendLineValue);
         S1=1; S2=0; S3=0;                                     // 
      }   
   else
   if (Range<=PointsRange2 && Range>PointsRange3 && S2==0)     //   <= 2  > 3
      {                                                        //     ,    .
         Alert("Range=", Range, " Price=", Price, " TrendLine=",TrendLineValue);
         S1=0; S2=1; S3=0;                                     // 
      }   
   else
   if (Range<=PointsRange3 && S3==0)                           //   <= 3
      {                                                        //     ,    .
         Alert("Range=", Range, " Price=", Price, " TrendLine=",TrendLineValue);
         S1=0; S2=0; S3=1;                                     // 
      }   
  
   return(0);
  }
//+------------------------------------------------------------------+